import { ConfigType } from '../Config';
import { ServiceManager } from '../ServiceManager';
import { ApplicationModes } from './ApplicationModes';
export declare class Application {
    private mode;
    private readonly environment;
    private readonly config;
    private readonly serviceManager;
    private readonly applicationConfigs;
    private moduleManager;
    private sharedEventManager;
    constructor(...appConfigs: ConfigType[]);
    getMode(): ApplicationModes;
    getServiceManager(): ServiceManager;
    private bootstrap;
    start(): Promise<this>;
    private bootstrapCli;
    private bootstrapServer;
    getEnvironment(): string;
    isProduction(): boolean;
    launch(mode?: ApplicationModes, loadOnly?: boolean): Promise<this>;
}
