import { CliConfigType } from './CliConfigType';
import { CliCommandType, ProcessedProgramType } from './CliTypes';
import { CommandManager } from '../Command';
export declare class CliService {
    private readonly config;
    private programs;
    /**
     * Lookup index linking to commands in programs.
     */
    private commands;
    private commandManager;
    constructor(commandManager: CommandManager, config?: CliConfigType);
    resolveToken(args: {
        _: string[];
        [key: string]: string[] | string;
    }): string;
    execute(argv: string[]): Promise<void>;
    private resolve;
    private validate;
    private collectAliases;
    getPrograms(): {
        [program: string]: ProcessedProgramType;
    };
    getCommands(): {
        [token: string]: CliCommandType;
    };
    getCommand(command: string): CliCommandType;
    getConfig(): CliConfigType;
    private registerPrograms;
    private registerProgram;
    private queParser;
}
