import { AbstractCommand } from '../Command/AbstractCommand';
export declare type CliCommandType = Partial<{
    token: string;
    commandLine: string;
    Command: typeof AbstractCommand;
    examples: string[];
    action: string;
    args: {
        name: string;
        required: boolean;
    }[];
    config: CliCommandConfigType;
}>;
export declare type CliCommandConfigType = Partial<{
    description: string;
    examples: string[];
    options: CliCommandOptionsType;
}>;
export declare type CliCommandOptionsType = Partial<{
    [option: string]: CliCommandOptionType;
}>;
export declare type CliCommandOptionType = Partial<{
    alias: string;
    value: string;
    description: string;
    defaultTo: any;
    required: boolean;
}>;
export declare type CliProgramType = Partial<{
    program: string;
    config: CliProgramConfigType;
}>;
export declare type ParsedCommandType = {
    args: {
        required: boolean;
        name: string;
    }[];
    token: string;
};
export declare type ProcessedProgramType = {
    program: string;
    examples: string[];
    commands: ProcessedCommandsType;
};
export declare type ProcessedCommandsType = {
    [command: string]: CliCommandType;
};
export declare type CliProgramConfigType = Partial<{
    examples: string[];
    commands: CliCommandType[];
}>;
