"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const winston_1 = __importDefault(require("winston"));
class LoggerService {
    constructor(config) {
        this.adapter = winston_1.default.createLogger(config);
    }
    getAdapter() {
        return this.adapter;
    }
    log(level, message, ...logArguments) {
        this.adapter.log(level, message, ...logArguments);
        return this;
    }
    error(message, ...logArguments) {
        return this.log('error', message, ...logArguments);
    }
    warn(message, ...logArguments) {
        return this.log('warn', message, ...logArguments);
    }
    help(message, ...logArguments) {
        return this.log('help', message, ...logArguments);
    }
    data(message, ...logArguments) {
        return this.log('data', message, ...logArguments);
    }
    info(message, ...logArguments) {
        return this.log('info', message, ...logArguments);
    }
    debug(message, ...logArguments) {
        return this.log('debug', message, ...logArguments);
    }
    prompt(message, ...logArguments) {
        return this.log('prompt', message, ...logArguments);
    }
    http(message, ...logArguments) {
        return this.log('http', message, ...logArguments);
    }
    verbose(message, ...logArguments) {
        return this.log('verbose', message, ...logArguments);
    }
    input(message, ...logArguments) {
        return this.log('input', message, ...logArguments);
    }
    silly(message, ...logArguments) {
        return this.log('silly', message, ...logArguments);
    }
    emerg(message, ...logArguments) {
        return this.log('emerg', message, ...logArguments);
    }
    alert(message, ...logArguments) {
        return this.log('alert', message, ...logArguments);
    }
    crit(message, ...logArguments) {
        return this.log('crit', message, ...logArguments);
    }
    warning(message, ...logArguments) {
        return this.log('warning', message, ...logArguments);
    }
    notice(message, ...logArguments) {
        return this.log('notice', message, ...logArguments);
    }
}
exports.LoggerService = LoggerService;
//# sourceMappingURL=LoggerService.js.map