"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const bytes_1 = __importDefault(require("bytes"));
const debug_1 = require("../../debug");
const AbstractMiddleware_1 = require("./AbstractMiddleware");
const debug = debug_1.createDebugLogger('middleware:request');
class RequestMiddleware extends AbstractMiddleware_1.AbstractMiddleware {
    async pass(ctx, next) {
        debug(`<-- ${ctx.method.toUpperCase()} ${ctx.path}`);
        await next();
        const response = ctx.state.response;
        await response.patchContext(ctx);
        // Head doesn't want a body. Hehe. I get why it's called head now.
        // Raphaela seems to think that's not why they call it head. I'm filing for divorce.
        // She looks sad now as she's reading along while I type this. For the record: I'm joking!
        // No divorce.
        // ...
        // Yet.
        // JK!
        // Okay time to be productive again.
        if (ctx.method === Server_1.RequestMethods.Head) {
            delete ctx.body;
        }
        debug(`--> ${ctx.method.toUpperCase()} ${ctx.path} ${response.getStatusCode()} ${bytes_1.default(ctx.length)}`);
    }
}
exports.RequestMiddleware = RequestMiddleware;
//# sourceMappingURL=RequestMiddleware.js.map