"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const Controller_1 = require("../Controller");
const debug_1 = require("../../debug");
const Router_1 = require("../Router");
const decorators_1 = require("../ServiceManager/decorators");
const Response_1 = require("../Response");
const AbstractMiddleware_1 = require("./AbstractMiddleware");
const debug = debug_1.createDebugLogger('middleware:router');
class RouterMiddleware extends AbstractMiddleware_1.AbstractMiddleware {
    async pass(ctx, next) {
        debug(`Routing for path "${ctx.path}".`);
        const method = ctx.method === Server_1.RequestMethods.Head ? Server_1.RequestMethods.Get : ctx.method;
        const match = this.routerService.resolve(method, ctx.path);
        if (!match) {
            ctx.state.response = this.responseService.clientError().notFound();
            debug('No match, returning not found.');
            return;
        }
        const { route, parameters } = match;
        const controllerName = Controller_1.ControllerManager.getPluginName(route.controller);
        const controller = this.controllerManager.get(route.controller);
        ctx.state.params = parameters;
        ctx.state.dispatch = {
            controllerName,
            controller,
            action: route.action,
        };
        debug(`Route matched "${controllerName}.${route.action}()".`);
        return next();
    }
}
__decorate([
    decorators_1.inject(Router_1.RouterService),
    __metadata("design:type", Router_1.RouterService)
], RouterMiddleware.prototype, "routerService", void 0);
__decorate([
    decorators_1.inject(Response_1.ResponseService),
    __metadata("design:type", Response_1.ResponseService)
], RouterMiddleware.prototype, "responseService", void 0);
__decorate([
    decorators_1.inject(Controller_1.ControllerManager),
    __metadata("design:type", Controller_1.ControllerManager)
], RouterMiddleware.prototype, "controllerManager", void 0);
exports.RouterMiddleware = RouterMiddleware;
//# sourceMappingURL=RouterMiddleware.js.map