import { ResponseService } from './ResponseService';
import { SuccessfulResponse } from './SuccessfulResponse';
import { ClientErrorResponse } from './ClientErrorResponse';
import { ServerErrorResponse } from './ServerErrorResponse';
import { RedirectionResponse } from './RedirectionResponse';
export declare class AbstractResponseHelper {
    protected responseService: ResponseService;
    protected getResponseService(): ResponseService;
    protected okResponse(data?: any, meta?: any): SuccessfulResponse;
    protected createdResponse(data?: any, meta?: any): SuccessfulResponse;
    protected notFoundResponse(message?: string, data?: any, meta?: any): ClientErrorResponse;
    protected requestTimeoutResponse(message?: string, data?: any, meta?: any): ClientErrorResponse;
    protected forbiddenResponse(message?: string, data?: any, meta?: any): ClientErrorResponse;
    protected badRequestResponse(message?: string, data?: any, meta?: Object): ClientErrorResponse;
    protected unauthorizedResponse(message?: string, data?: any, meta?: Object): ClientErrorResponse;
    protected internalServerErrorResponse(message?: string, data?: any, meta?: Object): ServerErrorResponse;
    protected permanentRedirectResponse(location: string, alt?: string, meta?: any): RedirectionResponse;
}
