"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const decorators_1 = require("../ServiceManager/decorators");
const ResponseService_1 = require("./ResponseService");
class AbstractResponseHelper {
    getResponseService() {
        return this.responseService;
    }
    okResponse(data, meta) {
        return this.responseService.successful().ok(data, meta);
    }
    createdResponse(data, meta) {
        return this.responseService.successful().created(data, meta);
    }
    notFoundResponse(message, data, meta) {
        return this.responseService.clientError().notFound(message, data, meta);
    }
    requestTimeoutResponse(message, data, meta) {
        return this.responseService.clientError().requestTimeout(message, data, meta);
    }
    forbiddenResponse(message, data, meta) {
        return this.responseService.clientError().forbidden(message, data, meta);
    }
    badRequestResponse(message, data, meta) {
        return this.responseService.clientError().badRequest(message, data, meta);
    }
    unauthorizedResponse(message, data, meta) {
        return this.responseService.clientError().unauthorized(message, data, meta);
    }
    internalServerErrorResponse(message, data, meta) {
        return this.responseService.serverError().internalServerError(message, data, meta);
    }
    permanentRedirectResponse(location, alt, meta) {
        return this.responseService.redirection().permanentRedirect(location, alt, meta);
    }
}
__decorate([
    decorators_1.inject(ResponseService_1.ResponseService),
    __metadata("design:type", ResponseService_1.ResponseService)
], AbstractResponseHelper.prototype, "responseService", void 0);
exports.AbstractResponseHelper = AbstractResponseHelper;
//# sourceMappingURL=AbstractResponseHelper.js.map