"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const Response_1 = require("./Response");
class ClientErrorResponse extends Response_1.Response {
    static create(statusCode, message, data, meta) {
        return new this({ statusCode, message, data, meta });
    }
    static badRequest(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.BadRequest, message, data, meta);
    }
    static unauthorized(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.Unauthorized, message, data, meta);
    }
    static paymentRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.PaymentRequired, message, data, meta);
    }
    static forbidden(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.Forbidden, message, data, meta);
    }
    static notFound(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.NotFound, message, data, meta);
    }
    static methodNotAllowed(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.MethodNotAllowed, message, data, meta);
    }
    static notAcceptable(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.NotAcceptable, message, data, meta);
    }
    static proxyAuthenticationRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.ProxyAuthenticationRequired, message, data, meta);
    }
    static requestTimeout(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.RequestTimeout, message, data, meta);
    }
    static conflict(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.Conflict, message, data, meta);
    }
    static gone(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.Gone, message, data, meta);
    }
    static lengthRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.LengthRequired, message, data, meta);
    }
    static preconditionFailed(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.PreconditionFailed, message, data, meta);
    }
    static payloadTooLarge(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.PayloadTooLarge, message, data, meta);
    }
    static uriTooLong(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.UriTooLong, message, data, meta);
    }
    static unsupportedMediaType(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.UnsupportedMediaType, message, data, meta);
    }
    static rangeNotSatisfiable(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.RangeNotSatisfiable, message, data, meta);
    }
    static expectationFailed(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.ExpectationFailed, message, data, meta);
    }
    static iAmATeapot(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.IAmATeapot, message, data, meta);
    }
    static misdirectedRequest(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.MisdirectedRequest, message, data, meta);
    }
    static unprocessableEntity(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.UnprocessableEntity, message, data, meta);
    }
    static locked(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.Locked, message, data, meta);
    }
    static failedDependency(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.FailedDependency, message, data, meta);
    }
    static upgradeRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.UpgradeRequired, message, data, meta);
    }
    static preconditionRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.PreconditionRequired, message, data, meta);
    }
    static tooManyRequests(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.TooManyRequests, message, data, meta);
    }
    static requestHeaderFieldsTooLarge(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.RequestHeaderFieldsTooLarge, message, data, meta);
    }
    static unavailableForLegalReasons(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.UnavailableForLegalReasons, message, data, meta);
    }
    format() {
        return { message: this.message, data: this.data };
    }
}
exports.ClientErrorResponse = ClientErrorResponse;
//# sourceMappingURL=ClientErrorResponse.js.map