"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const Response_1 = require("./Response");
class RedirectionResponse extends Response_1.Response {
    static create(statusCode, location, alt, meta) {
        return new this({ statusCode, data: { location, alt }, meta });
    }
    static multipleChoices(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.MultipleChoices, location, alt, meta);
    }
    static movedPermanently(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.MovedPermanently, location, alt, meta);
    }
    static found(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.Found, location, alt, meta);
    }
    static seeOther(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.SeeOther, location, alt, meta);
    }
    static notModified(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.NotModified, location, alt, meta);
    }
    static useProxy(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.UseProxy, location, alt, meta);
    }
    static switchProxy(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.SwitchProxy, location, alt, meta);
    }
    static temporaryRedirect(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.TemporaryRedirect, location, alt, meta);
    }
    static permanentRedirect(location, alt, meta) {
        return this.create(Server_1.HttpStatusCodes.PermanentRedirect, location, alt, meta);
    }
    apply() {
        this.ctx.redirect(this.data.location, this.data.alt);
    }
}
exports.RedirectionResponse = RedirectionResponse;
//# sourceMappingURL=RedirectionResponse.js.map