import { SendOptions } from 'koa-send';
import { HttpStatusCodes } from '../Server';
import { ContextInterface } from '../Interface';
export declare class Response {
    protected ctx: ContextInterface;
    protected headers: {
        [header: string]: string | Array<string>;
    };
    protected strategy: string;
    protected statusCode: HttpStatusCodes;
    protected meta: any;
    protected data: any;
    protected message: string;
    protected constructor({ message, data, meta, statusCode }: ResponseArgumentsInterface);
    setData(data: any): this;
    getData(): any;
    patchContext(ctx: ContextInterface): Promise<void>;
    protected sendFile(): Promise<string>;
    applyStatusCode(statusCode: HttpStatusCodes): this;
    setStatusCode(statusCode: HttpStatusCodes): this;
    getStatusCode(): HttpStatusCodes;
    protected applyBody(body: any): this;
    setHeaders(headers: {
        [header: string]: string | Array<string>;
    }): this;
    addHeaders(headers: {
        [header: string]: string | Array<string>;
    }): this;
    setHeader(header: string, value: string | Array<string>): this;
    appendHeader(header: string, value: string | Array<string>): void;
    removeHeader(header: string): this;
    applyHeaders(): this;
    file(location: string, options?: SendOptions): this;
    json(data: any): this;
    html(data: any): this;
    protected apply(): void;
    protected format(): any;
}
export interface ResponseArgumentsInterface {
    statusCode: HttpStatusCodes;
    message?: string;
    data?: any;
    meta?: any;
}
