"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const Response_1 = require("./Response");
class ServerErrorResponse extends Response_1.Response {
    static create(statusCode, message, data, meta) {
        return new this({ statusCode, message, data, meta });
    }
    static internalServerError(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.InternalServerError, message, data, meta);
    }
    static notImplemented(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.NotImplemented, message, data, meta);
    }
    static badGateway(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.BadGateway, message, data, meta);
    }
    static serviceUnavailable(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.ServiceUnavailable, message, data, meta);
    }
    static gatewayTimeout(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.GatewayTimeout, message, data, meta);
    }
    static httpVersionNotSupported(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.HttpVersionNotSupported, message, data, meta);
    }
    static variantAlsoNegotiates(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.VariantAlsoNegotiates, message, data, meta);
    }
    static insufficientStorage(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.InsufficientStorage, message, data, meta);
    }
    static loopDetected(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.LoopDetected, message, data, meta);
    }
    static notExtended(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.NotExtended, message, data, meta);
    }
    static networkAuthenticationRequired(message, data, meta) {
        return this.create(Server_1.HttpStatusCodes.NetworkAuthenticationRequired, message, data, meta);
    }
    format() {
        const body = {};
        if (this.message) {
            body.message = this.message;
        }
        if (this.data) {
            body.data = this.data;
        }
        return body;
    }
}
exports.ServerErrorResponse = ServerErrorResponse;
//# sourceMappingURL=ServerErrorResponse.js.map