"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Server");
const Response_1 = require("./Response");
class SuccessfulResponse extends Response_1.Response {
    static create(statusCode, data, meta) {
        return new this({ statusCode, data, meta });
    }
    static ok(data, meta) {
        return this.create(Server_1.HttpStatusCodes.Ok, data, meta);
    }
    static created(data, meta) {
        return this.create(Server_1.HttpStatusCodes.Created, data, meta);
    }
    static accepted(data, meta) {
        return this.create(Server_1.HttpStatusCodes.Accepted, data, meta);
    }
    static nonAuthoritativeInformation(data, meta) {
        return this.create(Server_1.HttpStatusCodes.NonAuthoritativeInformation, data, meta);
    }
    static noContent(data, meta) {
        return this.create(Server_1.HttpStatusCodes.NoContent, data, meta);
    }
    static resetContent(data, meta) {
        return this.create(Server_1.HttpStatusCodes.ResetContent, data, meta);
    }
    static partialContent(data, meta) {
        return this.create(Server_1.HttpStatusCodes.PartialContent, data, meta);
    }
    static multiStatus(data, meta) {
        return this.create(Server_1.HttpStatusCodes.MultiStatus, data, meta);
    }
    static alreadyReported(data, meta) {
        return this.create(Server_1.HttpStatusCodes.AlreadyReported, data, meta);
    }
    static imUsed(data, meta) {
        return this.create(Server_1.HttpStatusCodes.ImUsed, data, meta);
    }
    format() {
        // Like it says, no content.
        if (this.statusCode === Server_1.HttpStatusCodes.NoContent) {
            return;
        }
        return this.data;
    }
}
exports.SuccessfulResponse = SuccessfulResponse;
//# sourceMappingURL=SuccessfulResponse.js.map