"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const koa_bodyparser_1 = __importDefault(require("koa-bodyparser"));
const ServerService_1 = require("./ServerService");
const Application_1 = require("../Application");
const Middleware_1 = require("../Middleware");
const Config_1 = require("../Config");
const cors_1 = __importDefault(require("@koa/cors"));
exports.ServerServiceFactory = (sm) => {
    const config = sm.get(Config_1.Config).of('server');
    const middleware = [
        sm.get(Middleware_1.RequestMiddleware),
        koa_bodyparser_1.default(),
        sm.get(Middleware_1.RouterMiddleware),
        sm.get(Middleware_1.DispatchMiddleware),
    ];
    if (config.cors.enabled) {
        middleware.unshift(cors_1.default(config.cors.options));
    }
    return new ServerService_1.ServerService(sm.get(Application_1.Application).getMode(), config, middleware);
};
//# sourceMappingURL=ServerServiceFactory.js.map