"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const decorators_1 = require("./decorators");
exports.InjectedServiceFactory = (Service) => (sm) => {
    const service = new Service;
    const dependencies = decorators_1.getDependencies(service);
    if (!dependencies) {
        return service;
    }
    return dependencies.reduce((service, { property, dependency, plugin }) => {
        service[property] = plugin ? plugin(sm, service) : sm.get(dependency);
        return service;
    }, service);
};
//# sourceMappingURL=InjectedServiceFactory.js.map