import { ServiceManagerInterface } from './ServiceManagerInterface';
import { FactoriesMapType, AliasesType, ServiceKeyType, ServiceFactoryType, ServiceManagerConfigType } from './ServiceManagerConfigInterface';
import { Instantiable } from '../Core';
/**
 * @export
 * @class ServiceManager
 * @implements {ServiceManagerInterface}
 */
export declare class ServiceManager implements ServiceManagerInterface {
    private services;
    private factories;
    private aliases;
    private shared;
    private sharedByDefault;
    protected creationContext: ServiceManager;
    constructor(config?: ServiceManagerConfigType);
    get<T>(Service: ServiceKeyType<T>, forceTransient?: boolean): T;
    has<T>(Service: ServiceKeyType<T>): boolean;
    registerFactory(key: Function | string, value: ServiceFactoryType<Object>): this;
    registerFactories(factories: FactoriesMapType): this;
    registerService(key: Function | string, service: Object): this;
    configure(config: ServiceManagerConfigType): this;
    registerInvokable(key: ServiceKeyType<Object>, value: Instantiable<Object>): void;
    registerAliases(aliases: AliasesType): this;
    registerAlias(alias: string, to: string | Function): this;
    private resolveName;
}
