import { ServiceManagerInterface } from './ServiceManagerInterface';
import { Instantiable } from '../Core';
import { FactoryInterface } from './FactoryInterface';
export interface ServiceFactoryType<T> extends Function {
    (sm?: ServiceManagerInterface): T;
}
export declare type FactoriesMapType = Map<Function | string, FactoryInterface>;
export declare type ServicesMapType = Map<Function | string, Object>;
export declare type InvokablesMapType<T> = Map<Instantiable<Object> | string, Instantiable<T>>;
export declare type AliasesType = {
    [alias: string]: string | Function;
};
export declare type SharedMapType = Map<Function | string, Object>;
export declare type ServiceKeyType<T> = Instantiable<T> | string;
export declare type ServiceManagerConfigType = Partial<{
    sharedByDefault: boolean;
    shared: SharedMapType;
    services: ServicesMapType;
    factories: FactoriesMapType;
    aliases: AliasesType;
    invokables: InvokablesMapType<Object>;
}>;
