"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const metaKey = Symbol('stix:di:inject');
exports.inject = (dependency, plugin) => {
    return (target, property) => {
        const meta = Reflect.getMetadata(metaKey, target);
        const result = Array.isArray(meta)
            ? meta.concat({ property, dependency, plugin })
            : [{ property, dependency, plugin }];
        Reflect.defineMetadata(metaKey, result, target);
    };
};
exports.getDependencies = (target) => Reflect.getMetadata(metaKey, target);
//# sourceMappingURL=inject.js.map