"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Cli_1 = require("../Library/Cli");
const HelpCommand_1 = require("../Library/Command/HelpCommand");
const fallbackToken = 'help';
const bin = 'stix';
exports.cli = {
    bin,
    fallbackToken,
    title: 'Stix CLI',
    subtitle: 'Stix CLI tools for your stix CLI needs. \n\t...And by that we mean stix projects.',
    defaultProgramName: 'project',
    defaultProgramDescription: 'Project-scope commands.',
    defaultProgramFooter: '',
    commands: [
        Cli_1.Cli.program('cli', {
            commands: [
                Cli_1.Cli.command('help [command]', HelpCommand_1.HelpCommand, 'output', {
                    description: 'Output help for provided command',
                }),
            ],
            examples: [
                `$ ${bin} ${fallbackToken}`,
                `$ ${bin} ${fallbackToken} some:command`,
            ],
        }),
    ],
};
//# sourceMappingURL=cli.js.map