"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Server_1 = require("../Library/Server");
const Router_1 = require("../Library/Router");
const Controller_1 = require("../Library/Controller");
const Command_1 = require("../Library/Command");
const Response_1 = require("../Library/Response");
const Logger_1 = require("../Library/Logger");
const Cli_1 = require("../Library/Cli");
const Middleware_1 = require("../Library/Middleware");
exports.services = {
    invokables: new Map([
        [Middleware_1.RouterMiddleware, Middleware_1.RouterMiddleware],
        [Middleware_1.RequestMiddleware, Middleware_1.RequestMiddleware],
        [Middleware_1.DispatchMiddleware, Middleware_1.DispatchMiddleware],
    ]),
    factories: new Map([
        [Cli_1.CliService, Cli_1.CliServiceFactory],
        [Server_1.ServerService, Server_1.ServerServiceFactory],
        [Router_1.RouterService, Router_1.RouterServiceFactory],
        [Command_1.CommandManager, Command_1.CommandManagerFactory],
        [Controller_1.ControllerManager, Controller_1.ControllerManagerFactory],
        [Response_1.ResponseService, Response_1.ResponseServiceFactory],
        [Logger_1.LoggerService, Logger_1.LoggerServiceFactory],
    ]),
};
//# sourceMappingURL=services.js.map